% FILE  e104.m  begins.
% LSQ-polynomial fitting to data
close all; clear;
x= 0: 0.3: 5;
y = x.^2 + pi*x + 0.5*sin(10*x);  
% Note: Elementwise operations
coef = polyfit(x,y,2);
c = coef; 
txt=['c1 = ' num2str(c(1)) ', c2 = ' num2str(c(2))];
txt = [txt ', c3 = ' num2str(c(3)) ];
axes('FontSize',[15],'FontWeight','bold');  hold on;
xi=0:0.05:5; yi=polyval(coef,xi);
pic1=plot(xi,yi,x,y,'k.','MarkerSize',25);
title('Data (.) ja sovitettu kayra (E104)',...
    'FontSize',[15] );
xlabel(txt,'FontSize',[15]);
grid;
set(pic1,'LineWidth', 2.5);       % Line width is changed
print -deps f104.eps
% FILE  e104.m  ends.
