% FILE  fabc.m  begins.
% Compute 2F1(a,b;c;r)
% The Gauss hypergeometric function F(a,b;c;r)
function y = fabc(a,b,c,r)
if ( (size(a) ~= 1) | (size(b) ~= 1) | (size(c) ~= 1) )
   disp('Parameter error in FABC.m');
   end;
[m,n] =size(r);
one =ones(m,n);
s=one;
g= 1.0;
for j=1:100,
        g=g*(a+j-1)*(b+j-1)/(j*(c+j-1));
        s = s+ g*(r.^j);
end;
y = s;
return;
% FILE  fabc.m  ends.
