% FILE  adrlst.m  begins.
% Last modified 01-Sept-1999, Ver. 5.3 (R11)
% Creates an artificial database of persons
clear all;
first0='ensi';            flst=perms(first0);
last0='alku';             llst=perms(last0);
id0='1234';               idlst=perms(id0);
street0='yliopistonk 5';  slst=perms(street0(1:4));
city0='helsinki';         clst=perms(city0(1:4));
n=factorial(length(first0));
prs=struct('First',first0,'Last',last0,...
   'Id',id0,'Street',street0,...
   'City',city0,'Data',fix(100*rand(1,3)))
txt='First    Last     Id      Street     City ';
txt=[txt '    Data(1:3)   Aver/data'];   
disp(txt);
line='------------------------------';
line=[line line];
disp(line);
s1=0.0;
for j=1:n
   prs(j)=struct('First',flst(j,:),'Last',llst(j,:),...
      'Id',idlst(j,:),'Street',slst(j,:),...
       'City',clst(j,:),'Data',fix(100*rand(1,3)));
   txt=[prs(j).First];
   txt=[txt blanks(5) prs(j).Last];
   txt=[txt blanks(5) prs(j).Id];
   txt=[txt blanks(5) prs(j).Street];
   txt=[txt blanks(5) prs(j).City];
   txt=[txt blanks(5) mat2str(prs(j).Data)];
   s1=s1+prs(j).Data(1);
   fprintf(['%s  %d\n' line '\n'],...
                txt,fix(sum(prs(j).Data)/3));
end
disp(['Sum of data(1) = ' num2str(s1)])
% FILE  adrlst.m  ends.
