function y = bisect(fname,a,b,times)
%BISECT a and b must be a bracketing pair of zero
%       (that is, f(a) f(b) < 0 )
%       of real numbers or equally long vectors
%       fname is a string such that eval(['y =' fname ])
%       gives for y the value at x.
[m,n] = size(a);   one = ones(m,n);
if nargin ==4
    count = times;
end;
if nargin == 3
    count=10;
end;
for i=1:count
    c = 0.5*(a+b);   
    x =c; eval(['fc = ' fname ';']);
    x =a; eval(['fa = ' fname ';']);  
    x =b; eval(['fb = ' fname ';']);
    if any( fa.*fb >0)
       disp('Bracketing error in bisect ');
       disp(['norm = ' num2str(norm(a-b))]);
       break;
    end;
    booleb = (fa.*fc > 0);
    boolea = one - booleb;
    a = boolea.*a + booleb.*c;
    b = booleb.*b + boolea.*c;
    a-b;
    norm(a-b);
    y= a;
end;
% FILE  bisect.m  ends.
