% FILE  e302.m  begins.
% 2018
% Study Wilkinson polynomial
for j=1:10        
    a=poly(1:20);
    a(2)= a(2)-0.1*(j-5);
    z =roots(a);  x1= real(z);  y1= imag(z);
    clf;
    axes('FontSize',[15],'FontWeight','bold');  hold on;
    txt=['Wilkinson polynomial, a(2) = ' num2str(a(2)) ];
    plot(x1,y1,'k.','MarkerSize',30); 
    title(txt,'FontSize',[15]);
    xlabel('E302','FontSize',[15]);
    grid;
    hold off;
    pause(1);
end
% FILE  e302.m  ends.
