% FILE  e304.m  begins.
%  2018 Study polynomial fit
n =3;  %degree of polynomial
x = 20*sort(abs(rand(1,20))); y = x.*log(x) + 5*sin(x);
a = polyfit(x,y,n);
xmi = min(x); xma= max(x); dx =0.01*(xma-xmi);
xi =xmi:dx:xma; yi = polyval(a,xi);
clf;
axes('FontSize',15,'FontWeight','bold');  hold on;
txt =['Polynomial fit of degree '  num2str(n)];
plt1=plot(x,y,'k.',xi,yi,'MarkerSize',30); 
title(txt,'FontSize',15);
xlabel('E304','FontSize',15);
e=0.3*std(y)*ones(size(x));
errorbar(x,y,e);
set(plt1,'LineWidth', 2.5);       % Line width is changed
hold off;
pause(1);
% FILE  e304.m  ends.
