% FILE  e310.m  begins.
% 2018: Rungen ilmio: Funktion y = 1/(1+x^2) tasavalinen
% polynomiapproksimaatio kun n kasvaa
clear; close all
x1= -5; x2= 5;
u= x1 : (x2-x1)/30: x2;
[m,n] = size(u); one = ones(m,n);
v= one./( one +  u.^2);
%choice=input('Enter 1 : spline 2: pchip: ');
choice=2;
for n=3:14
   dx=(x2-x1)/n;
   x= x1: dx: x2;
   one = ones(size(x));
   y =  one./(one + x.^2);
   coeff = polyfit(x,y,n);
   xi= x1: dx/20 : x2;
   yi= polyval(coeff,xi);
   if (choice==1)
   yis = spline(x,y,xi);
   else
       yis=pchip(x,y,xi);
   end    
   figure
   
   axes('FontSize',[15],'FontWeight','bold');  hold on;
   title('Runge')
   subplot(1,2,1)
  % axes('FontSize',[15],'FontWeight','bold');  hold on;
   plot(x,y,'k.',u,v,xi,yi,'k-','MarkerSize',[30],'LineWidth', 2.5); 
   tit =['Rungen ilmio: funktion 1/(1+x^2) '];
   tit =[ tit 'tasavalinen '];
    xlabel(['polynomial  ' num2str(n+1) ], 'FontSize',[15]); 
  grid on
 %  pause(1);
   subplot(1,2,2)
 plot(x,y,'k.',u,v,xi,yis,'k-','MarkerSize',[30],'LineWidth', 2.5); 
   if (choice==1)
    xlabel(['spline, ' num2str(n+1)], 'FontSize',[15]);
   else
   xlabel(['pchip, ' num2str(n+1)], 'FontSize',[15]);
   end   
   grid on
   hold off;
   pause(3);
end;
% FILE  e310.m  ends.
