% FILE  e315.m  begins.   
% 2018: Error in numder versus numdiff
% USES: f315.m
clear; close all 
h=0.02; %h = input('Enter h (e.g. = 0.02) : ');
x=1:h:3;
myf=@(x)(sin(x)+cos(10*x));%dmyf=cos(x)-10sin(10x) 
z1 = numdif('f315',x,h)-cos(x)+10*sin(10*x);
dy=numder(myf(x),h);
z2= dy-cos(x)+10*sin(10*x);
txt=(['Abs. error of numdif (dotted) and numder (solid)']); 
semilogy(x,abs(z2),'k-',x,abs(z1),'k:',...
    'LineWidth', 2); 
title(txt,'FontSize',[15],'FontWeight','bold');
xlabel([' h= ' num2str(h) '   (E315)'],'FontSize',[15],...
        'FontWeight','bold');
grid    
% FILE  e315.m  ends.   
