% FILE: myinterp2d.m BEGIN
% 2D-interpolation methods
%function w= myfun
clear;  close all;
  a=2*rand; b=2*rand+2;
  myf=inline(' x.^2+(y.^2).*sin(v*x.*y+cos(v*x.*y))','x','y','u','v');
  n=5;
  x=sort(5*rand(1,n));
  y=sort(5*rand(1,n));
    [xx,yy]=meshgrid(x,y);
    a=4*rand; b=3*rand;
    zz=myf(xx,yy,a,b);
    xi=0:0.1:4;
    yi=(0:0.1:4)';
    zi=interp2(xx,yy,zz,xi,yi,'nearest');
    zi2=interp2(xx,yy,zz,xi,yi,'linear');
    zi3=interp2(xx,yy,zz,xi,yi,'spline');
    subplot(1,2,1)
    surf(xi,yi,zi)
    subplot(1,2,2)
    contour(xi,yi,zi)
       figure
    subplot(1,2,1)
    surf(xi,yi,zi2)
    subplot(1,2,2)
    contour(xi,yi,zi2)
    %    surf(xi,yi,zi2)
    figure
    subplot(1,2,1)
    surf(xi,yi,zi3)
    subplot(1,2,2)
    contour(xi,yi,zi3)
    %    surf(xi,yi,zi3)
% FILE: myinterp2d.m END
    

    
