% FILE mysplinebry.m begins.
% spline with good and bad boundary conditions
close all; clear;
path(path,' ../util')
startup
myf=inline('a*sin(b*x)','x','a','b');
a=0.3+rand;  b=2+2*rand;
x=0:0.2:1; y=myf(x,a,b);
xi=0:0.05:1;
yi=spline(x,y,xi);
figure(1)
subplot(1,2,1)
plot(x,y,'k*',xi,yi,'k-')
subplot(1,2,2)
plot(xi,yi-myf(xi,a,b),'k-')
xlabel('Spline:without bry cond')
figure(2)
subplot(1,2,1)
yi2=spline(x,[a*b*cos(b*x(1)) y  a*b*cos(b*x(end))],xi);
plot(x,y,'k*',xi,yi2,'k-')
subplot(1,2,2)
plot(xi,yi2-myf(xi,a,b),'k-')
xlabel('Spline:good bry cond')
yi3=spline(x,[2 y  3*b*cos(b*x(end))],xi); %Wrong bry condition
figure(3)
subplot(1,2,1)
plot(x,y,'k*',xi,yi3,'k-')
subplot(1,2,2)
plot(xi,yi3-myf(xi,a,b),'k-')
title('Bad bry cond.')
xlabel('Spline')
% FILE  mysplinebry.m ends.
