% FILE: myinvtst.m
% Claim 1: [A  B; C  D]^(-1)= [X Y; U  V]
% V = (D-C A^(-1)B)^(-1)
% U= - V C A^(-1)
% Y= -A^(-1)B V
% X =   A^(-1)+A^(-1) B V C A^(-1)
m=4; n=3;
a=rand(m,m); b=rand(m,n);  c= rand(n,m); d= rand(n,n);
ai=inv(a);
v=inv(d-c*ai*b);
u=-v*c*ai;
y=-ai*b*v; x= ai+ai*b*v*c*ai;
mymat=[a b; c  d];
norm(inv(mymat)-[x y; u v])
% Blockinverse
format rational
a=fix(20*rand(2,2));
b=diag(ones(1,3));
c=kron(b,a)
ci=inv(c);
ai=inv(a);
d=kron(b,ai)
%ci*d;
norm(d-ci)
% FILE: myinvtst.m

