% FILE  e520.m  begins.
% USES numjaco.m, f520.m
x0 = 3:5; hold off;
data =[0, x0, norm(f520(x0)')];
for j =1:9
   x1= x0' -numjaco('f520', 3,x0,3)\f520(x0); x0=x1';
   data =[data; [j  x1' norm(f520(x1'))  ]];
end;
x = data(:,2); y = data(:,3); z = data(:,4);
x1=  data(10,2); y1=  data(10,3); z1=  data(10,4);
clf;
plt3=plot3(x,y,z);
txt=['Newton iteration, start = * , end = . (E520)'];
title(txt,'FontSize',[15],'FontWeight','bold');
hold on;
plot3(x1,y1,z1,'k.', 3,4,5,'k*','MarkerSize',30);
set(plt3,'LineWidth', 2.5);
pause;
print -deps fig520a;
hold off;
clf;
splt=semilogy(1:10,data(:,5));
txt=['Function norm'];
title(txt,'FontSize',[15],'FontWeight','bold');
xlabel('Number of Newton iteration (E520)','FontSize',[15],...
       'FontWeight','bold');
set(splt,'LineWidth', 2.5);
print -deps fig520b;
delete e520.dat;
diary e520.dat;
disp(' Newton iteration: ');
disp('  i      x         y          z         norm(f)  ');
fprintf(1,' %2d  %8.5f  %8.5f   %8.5f   %12.5e \n',data');
diary off;
% FILE  e520.m  ends.
