function namelst=chklile(fname)
%CHKLILE checks the maximal line lengths of files
%       and prints results on the screen
%       Last modified 01-Sept-1999 Version 5.3 (R11) 
%       Example: chklile('a.dat') or chklile
treshold=65; msg=' --Longlines.';
if (nargin==0) 
   filedata=dir(pwd);
else
   filedata=dir(fname);
end;    
[m,n]=size(filedata);
for j=1:m
  if (exist(filedata(j).name) == 2)
   fid=fopen(filedata(j).name,'r');
   lile=0;
   while ~feof(fid)
     s=fgetl(fid);
     lile=max(lile,length(s));
   end;
   fclose(fid);
   txt=[  num2str(lile)];
   if (lile>treshold) txt=[txt msg];
   end
   fprintf('%13s  :  %s\n',filedata(j).name , txt  );
  end
end;
% FILE chklile.m ends.

