% FILE  e107new.m  begins.  8 Sept 2016
clear; close all;
x = [-1 0 1 2]; y = [0 1 0.5 2];
n =length(x)-1;
coef = polyfit(x,y,n); % Fit LSQ-polynomial to x,y -data
x0 = 1.5; y0 = polyval(coef,x0); 
xi = -1: 0.02: 2; yi = polyval(coef,xi); 
% Evaluate=compute LSQ-polynomial at xi
yi2=interp1(x,y,xi,'linear');   % Linear interpolation
y02=interp1(x,y,x0,'linear');
%txt = [' f( ' num2str(x0) ') = ' num2str(y0)];
txt2=sprintf('%s \n %s  %s',...
    'Polyfit/linear interpolation give:', ...
    num2str(y0), num2str(y02) );
axes('FontSize',[15],'FontWeight','bold');  hold on;
plot(xi,yi,x0,y0,'k.',x,y,'k+',...
    'MarkerSize',30,'LineWidth', 2.5);
title(txt2,'FontSize',[15]);
plot(xi,yi2,'r-',x0,y02,'k.',x,y,'k+',...
    'MarkerSize',30,'LineWidth', 2.5);
hold off;
xlabel('E107','FontSize',[15] ); 
grid;
fprintf('Polyfit/line.interpolation give: %f, %f \n',...
    y0,y02)
% FILE  e107new.m  ends.







