% FILE  e118.m  begins. 
clear; close all;
r = 0.01: 0.0003: 0.99;
exp=1/1.234;
y =asin(sin(r.^1.234)).^exp-r;
axes('FontSize',15,'FontWeight','bold');  
plot(r,y,'LineWidth', 2.5);
title([' asin(sin(r.^{1/exp})).^{exp} - r , exp = ',num2str(exp) ],...
    'FontSize',12); 
xlabel('E118: Round off error: r','FontSize',15);
grid; 
figure
semilogy(r,abs(y));
grid
figure
plot(r,log10(abs(y)+10^(-30)));
grid
% FILE  e118.m  ends.
