% FILE  e208d.m  begins. 
% Note inline function in minimum search
% 2018
close all; clear;
x=-3: 0.03: 5;

axes('FontSize',15,'FontWeight','bold');
info=[];
myf=inline( '(x-j).*sin(x.^j)','x','j');
for j=1:5
    figure
    txt = ['y = (x-' num2str(j) ').*sin(x.^' num2str(j) ];
    xmin=fminbnd(myf,-3,5,[],j);   % HUOM.  [] tarpeen
    ymin= myf(xmin,j);
    info=[info; [j xmin  ymin]]; % ";" <=> aloita uusi rivi
    txt = [txt  ' ) ymin = ' num2str(ymin) ' (FMINBND)'];
    y = myf(x,j);
    plot(x,y,'LineWidth',2); hold on;
    plot(xmin,ymin,'k.','MarkerSize',25); hold off    
    title(txt,'FontSize',18,  'FontWeight','bold')
    xlabel(['at x = ' num2str(xmin) ' (E208D)'],...
	   'FontSize',18,  'FontWeight','bold'); 
    grid 
end
fprintf('      j        xmin      ymin    \n')
disp(info)
% FILE  208d.m  ends.
