% FILE  e208f.m  begins. 
% Observe use of anonymous function myf
% Recommended variant of e208*m
clear; close all
x=-3: 0.03: 5;
axes('FontSize',18,'FontWeight','bold');
info=[];
%myf=inline( '(x-j).*sin(x.^j)','x','j');
for j=1:5
    figure
    txt = ['y = (x-' num2str(j) ').*sin(x.^' num2str(j) ];
    myf=@(x) ((x-j).*sin(x.^j));
    xmin=fminbnd(myf,-3,5);   
    ymin= myf(xmin);
    info=[info; [j xmin  ymin]]; % ";" <=> aloita uusi rivi
    txt = [txt  ' ) ymin = ' num2str(ymin) ' (FMINBND)'];
    y = myf(x);
    plot(x,y,'LineWidth',3); hold on;
    plot(xmin,ymin,'k.','MarkerSize',25); hold off    
    title(txt,'FontSize',18,  'FontWeight','bold')
    xlabel(['at x = ' num2str(xmin) ' (E208F)'],...
	   'FontSize',18,  'FontWeight','bold'); 
    grid ;
end;
fprintf('      j        xmin      ymin    \n')
disp(info)
% FILE  208f.m  ends.
