function y = pic(fexpr)
% PIC plots the graphs of functions: MATLAB 5.3 (R11)
% USAGE: pic(fexpr) where fexpr is a MATLAB function expression
% Example: pic('sin(tan(x)) ')
% N.B. The argument name must be x.
% SAVES data in pic.dat
clf;
disp([' Enter now argument bounds x1, x2 for ' fexpr]);
t ='Please enter'; x1=input([ t ' x1: ']);
x2=input([ t ' x2: ']); x =x1: (x2-x1)/100: x2;
% N.B. x is a global variable name "sin(x)"
eval(['f = ' fexpr ';']);
axes('FontSize',[15],'FontWeight','bold'); hold on;
fig=plot(x,f); grid
title(['    y =  ' fexpr],'FontSize',[15],'FontWeight','bold');
xlabel('PIC.M','FontSize',[15],'FontWeight','bold');
delete pic.dat;            diary pic.dat;
disp(['f = ' fexpr]);
disp( ['     x       f     '] );
disp(['--------------------']);
disp([x' , f']);   diary off;
set(fig,'LineWidth',2.5);
y ='pic.m completed and data saved in pic.dat';
% FILE  pic.m  ends.
