function fname=putmat(a,filen,format)
% PUTMAT    write a real matrix to a file with 
%           the given format
% Last modified 01-Sept-1999
% Example: putmat(a,'a1.dat',' %12.6e')
% Warning: There must be at least 2 characters before 
%          ".dat"
[d1,d2]=size(a);
j=1;
fname=filen;
while ~(exist(fname) == 0)
 j=j+1;
 fname=strcat(fname(1:2),  num2str(j,'%02d'),'.dat');
end;
fid=fopen(fname,'w');
f=['\n' format];
for j=1:d2
  f=[f format];
end;
f=[f '\n'];
fprintf(fid,' %3d   %3d',d1,d2);
for j=1:d1
fprintf(fid,f,a(j,:));
end
fprintf('\n')
fclose(fid);
% FILE  putmat.m  ends.
