% FILE kreppi3.m begins.
function namelst=kreppi3(txt,dirname)
%KREPPI3 returns the list of those files which contain
%       the string txt. MATLAB Version 5.3 (R11) 
%       Example: kreppi3('sin')
%       This tries to imitate the Unix utility program grep
%       Do not use KREPPI3 if your system has grep, because
%       this is much weaker! 
if (nargin==1) 
   filedata=dir(pwd);
elseif  (nargin==2) 
   filedata=dir(dirname)
end
[m,n]=size(filedata);
namelst=[];
for j=1:m
   if (exist(filedata(j).name) == 2)
   fid=fopen(filedata(j).name,'r');
   s=fscanf(fid,'%s');
   fclose(fid);
   if ~isempty(findstr(s,txt))  
     namelst=str2mat(namelst, filedata(j).name);
   end  % str2mat padds rows equally long with blank padding
   end
end
% FILE kreppi3.m ends.










