% FILE mygriddata.m begins.
% 2008-10-05 morning temperatures in the cities
% Tku Hki Pori Jkyla Vaasa Mikkeli
close all
clear 
temp=[7 10 5.5 6 7 8];
%temp=[-0.8  4   -0.2    -1.5  6.6  -1.8];
% city coordinates
x=[0  1.5  0 1.5 0.5 3.0];
y=[0  0  1.4  3 3.5 1.00];
xvec=[-0.5: 0.1: 3];
yvec=-0.5:0.1:3.6;
[xi,yi]=meshgrid(xvec, yvec);
zi=griddata(x,y,temp,xi,yi,'cubic');
mesh(xi,yi,zi)
tre=interp2(xi,yi,zi,0.5,1.5,'linear');
%tre2=interp2(xi,yi,zi,0.5,1.5,'spline'); % spline DOES NOT WORK!
tre2=interp2(xi,yi,zi,0.5,1.5,'cubic');
fprintf('Tampere measured 8, interpolated = %5.2f\n',tre)
fprintf('Tampere measured 8, splineinterp = %5.2f\n',tre2)
hold on
plot3(x,y,temp,'k*', 0.5 , 1.5 , tre, 'k.','MarkerSize',20)
% FILE mygriddata.m ends.
