% FILE  e409.m  begins.
% Gauss elimination without pivoting
clear
n = input('Enter an integer n >= 2 ');
A = rand(n,n);  b = rand(n,1);
%format rational
%A=fix(20*(rand(n,n)-0.5)); x1=1:n; x=x1'; b=A*x;
disp(' Extended matrix');
C = [A, b ]
for j=1:(n-1)
    for i=(j+1):n
       if ( abs(C(j,j)) < 1E-10)
          disp('Bad matrix, cond(A) = ')
          cond(A)
          break
       end
       C(i,:) = C(i,:) - (C(i,j)/C(j,j))*C(j,:)
       pause(2);
    end
end
sol(n) = C(n,n+1)/C(n,n) ;
for i=(n-1): (-1):1
   s=0.0;
   for j=(i+1):n
       s=s+C(i,j)*sol(j);
   end
   sol(i) = (C(i,n+1) -s)/C(i,i);
end
disp(' Solution = ')
sol
disp(' A x solution = ')
bb=(A*(sol'))'
disp(' Should be = RHS = b ')
b'
disp(['Residual = ' num2str(norm(b'-bb))])
disp('Difference from Matlab-solution =')
norm((A\b) - sol')
% FILE  e409.m  ends.
