% FILE myhilb.m begins.
close all
info=[];
for nn=3:12
  a=hilb(nn);
  mycond=cond(a);
  x=ones(nn,1);
  b=a*x;
  xnum= a\ b;
  myerr=norm(xnum-x);
%  fprintf('n= %d, Error = %12.5e, cond(a) = %12.5e\n',...
%	  nn, norm(x-xnum), cond(a));
  fprintf('n= %d, Error = %12.5e, cond(a) = %12.5e,  ***= %8.2e\n',...
	  nn, myerr, mycond,  log10(myerr)* log10(mycond));
  info= [info; nn mycond myerr  ];
end
loglog(info(:,2), info(:,3),'k-','LineWidth',2)
grid on

% FILE myhilb.m ends.
