% FILE mytexdemo.m begins.
% USES: example.m which produces a picture
% Deletes and generates mytexdemo.tex
!rm mytexdemo.tex
diary mytexdemo.tex
disp('\documentclass[12pt]{article}')
disp('\usepackage{psfig}')
disp('\usepackage{epsfig}')
disp('\begin{document}')
disp('\begin{verbatim}')
type example.m 
disp('\end{verbatim}')
example              % Create picture
figure(gcf)
print fig.eps -deps    % Write picture in a file
disp('\psfig{figure=fig.eps}')
disp('\end{document}')
diary off
!latex mytexdemo.tex
!dvips mytexdemo
!ps2pdf mytexdemo.ps
%  EI TOIMI ???!acrord32 mytexdemo.pdf
% FILE mytexdemo.m  ends.
