% USESLST4 prints for each mfile in the current directory
%         the names of the other files in the directory
%         it uses.
function useslst4(myfname)
fprintf('=========\nPrint names for USES list:\n')
files=what(pwd);  % files.m yields the names of mfiles


ok=0; s='';
[m,n]=size(files.m);
if (nargin==1)
  for j=1:m
    txt=files.m{j};
    if (strcmp(lower(txt),lower(myfname))==1)
      ok=j;
    end
  end

  if (ok==0)
    error(['File ' myfname ' not found'])
  end
end
ilow=1; ihigh=m;
if (nargin==1)
  ilow=ok; ihigh=ok;
  end

for j=ilow:ihigh
  txt=files.m{j};
  fid=fopen(txt,'r');
  mylst=[];
  while  ~feof(fid)
    clear(s);
    s=fgetl(fid);
    if (~isstr(s))
    % SEURAAVA RIVI OLI SE ONGELMALLINEN!   
    % if (~isstr(s) | (isempty(s)))
       break;
    end
      for kk=1:m
        nam=files.m{kk};
        p=length(nam);
        nam=nam(1:(p-2));
        if ((~isempty(s))&(~isempty(nam)))
          if ((kk~=j)&(findstr(lower(s),lower(nam))>=1))
          % USES list does not include the file itself
          in=0;
          [d1,d2]=size(mylst);
          for kkk=1:d1
            if (findstr(lower(mylst(kkk,:)),lower([nam '.m']))>=1)
              in=1;
            end
          end  % end of kkk loop
          if (in==0)  % Each file included only once
            mylst=str2mat(mylst,[nam '.m']);
          end;
        end
      end
    end; % end of kk loop
  end  %  end of while
  fclose(fid);
  if ((exist('mylst','var')==0) |(isempty(mylst)==1)) 
    d1=0;
  else
    [d1,d2]=size(mylst);
  end
  txt3='USES: ';
  if (d1==0)
    txt3=[txt3 ' None.'];
  end;
  fprintf('\n---------\n%12s: %12s',files.m{j}, txt3  );
  for pp=1:d1
    fprintf('%12s\n',mylst(pp,:))
  end
  fprintf('\n')
end %  end of j loop
% FILE useslst4.m ends.

